/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as d, ref as a, createVNode as s } from "vue";
import { kendoThemeMaps as h, getRef as l, BrowserSupportService as n, isRtl as c, setRef as o } from "@progress/kendo-vue-common";
const f = /* @__PURE__ */ d({
  name: "KendoHeader",
  props: {
    staticHeaders: Boolean,
    headerRow: Object,
    columnResize: Object,
    cols: Array,
    draggable: Boolean,
    size: String
  },
  data() {
    return {
      divStyle: {},
      element: null,
      headerWrap: null,
      table: null
    };
  },
  computed: {
    wrapperClass() {
      return {
        "k-grid-header": !0,
        "k-grid-draggable-header": this.$props.draggable
      };
    },
    tableClass() {
      const {
        size: e
      } = this.$props;
      return {
        "k-table": !0,
        "k-grid-header-table": !0,
        [`k-table-${h.sizeMap[e] || e}`]: e
      };
    }
  },
  mounted() {
    this.headerWrap = l(this, "headerWrap"), this.table = l(this, "table"), this.$props.columnResize.colGroupHeader = l(this, "colGroupHeader");
    const e = new n().scrollbarWidth, t = c(this.$el);
    this.$props.columnResize && this.$props.columnResize.setIsRtl(t);
    const r = Math.max(0, e) + "px", i = t ? 0 : r, p = t ? r : 0;
    this.divStyle = {
      padding: `0 ${i} 0 ${p}`
    };
  },
  methods: {
    setScrollLeft(e) {
      this.headerWrap && (this.headerWrap.scrollLeft = e);
    },
    setWidth(e) {
      this.table && (this.table.style.width = e + "px");
    }
  },
  setup() {
    const e = a(null), t = a(null), r = a(null);
    return {
      headerWrapRef: e,
      tableRef: t,
      colGroupHeaderRef: r
    };
  },
  render() {
    return this.$props.staticHeaders ? s("div", {
      class: this.wrapperClass,
      style: this.divStyle,
      role: "presentation"
    }, [s("div", {
      ref: o(this, "headerWrap"),
      class: "k-grid-header-wrap",
      role: "presentation"
    }, [s("table", {
      class: this.tableClass,
      ref: o(this, "table"),
      role: "presentation"
    }, [s("colgroup", {
      ref: o(this, "colGroupHeader")
    }, [this.$props.cols]), this.$props.headerRow])])]) : this.$props.headerRow;
  }
});
export {
  f as Header
};
