/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const qe="grid.columnMenu",e="pager.info",r="pager.firstPage",t="pager.previousPage",o="pager.nextPage",l="pager.lastPage",a="pager.itemsPerPage",n="pager.pageInputAriaLabel",i="pager.smallPageSelectorAriaLabel",s="pager.pageSelection",u="pager.page",p="pager.of",c="pager.totalPages",f="filter.eqOperator",O="filter.groupFilterAriaLabel",g="filter.notEqOperator",m="filter.isNullOperator",d="filter.isNotNullOperator",I="filter.isEmptyOperator",M="filter.isNotEmptyOperator",A="filter.startsWithOperator",F="filter.containsOperator",L="filter.notContainsOperator",E="filter.endsWithOperator",b="filter.gteOperator",h="filter.gtOperator",q="filter.lteOperator",N="filter.ltOperator",P="filter.isTrue",S="filter.isFalse",C="filter.afterOrEqualOperator",w="filter.afterOperator",G="filter.beforeOperator",x="filter.beforeOrEqualOperator",y="filter.andLogic",D="filter.orLogic",B="filter.addExpression",T="filter.addGroup",W="filter.close",v="columnMenu.filterChooseOperator",R="columnMenu.filterClearButton",k="columnMenu.filterSubmitButton",j="columnMenu.filterTitle",z="columnMenu.sortAscending",H="columnMenu.sortDescending",J="columnMenu.filterEqOperator",K="columnMenu.filterNotEqOperator",Q="columnMenu.filterIsNullOperator",U="columnMenu.filterIsNotNullOperator",V="columnMenu.filterIsEmptyOperator",X="columnMenu.filterIsNotEmptyOperator",Y="columnMenu.filterStartsWithOperator",Z="columnMenu.filterContainsOperator",_="columnMenu.filterNotContainsOperator",$="columnMenu.filterEndsWithOperator",ee="columnMenu.filterGteOperator",re="columnMenu.filterGtOperator",te="columnMenu.filterLteOperator",oe="columnMenu.filterLtOperator",le="columnMenu.filterIsTrue",ae="columnMenu.filterAfterOrEqualOperator",ne="columnMenu.filterAfterOperator",ie="columnMenu.filterBeforeOperator",se="columnMenu.filterBeforeOrEqualOperator",ue="columnMenu.filterAndLogic",pe="columnMenu.filterOrLogic",ce="grid.searchPlaceholder",fe="grid.selectAllRows",Oe="grid.filterCheckAll",ge="sort.ariaLabel",me="filter.ariaLabel",de="filter.groupAriaLabel",Ie="filter.expressionAriaLabel",Me="filter.expressionDropdownAriaLabel",Ae="filter.expressionOperatorDropdownAriaLabel",Fe="filter.enumFilterDropdownAriaLabel",Le="filter.numericFilterAriaLabel",Ee="filter.textFilterAriaLabel",be="filter.dateFilterAriaLabel",he="filter.dropdownOperatorAriaLabel",Ne={[O]:"Group Filter",[i]:"Select page",[n]:"Pager - Page number input",[a]:"items per page",[s]:"Select page",[e]:"{0} - {1} of {2} items",[r]:"Go to the first page",[t]:"Go to the previous page",[o]:"Go to the next page",[l]:"Go to the last page",[u]:"Page",[p]:"of",[c]:"{0}",[ce]:"Search",[fe]:"Select All Rows",[Oe]:"Check All",[ge]:"Sortable",[me]:"Filter",[f]:"Is equal to",[g]:"Is not equal to",[m]:"Is null",[d]:"Is not null",[I]:"Is empty",[M]:"Is not empty",[A]:"Starts with",[F]:"Contains",[L]:"Does not contain",[E]:"Ends with",[b]:"Is greater than or equal to",[h]:"Is greater than",[q]:"Is less than or equal to",[N]:"Is less than",[P]:"Is true",[S]:"Is false",[C]:"Is after or equal to",[w]:"Is after",[G]:"Is before",[x]:"Is before or equal to",[y]:"And",[D]:"Or",[B]:"Add Expression",[T]:"Add Group",[W]:"Remove",[de]:"Filter toolbar",[Ie]:"Filter expression row",[Me]:"Filter dropdown",[Ae]:"Filter operator dropdown",[Fe]:"Select True/False",[Le]:"Enter number",[Ee]:"Enter text",[be]:"Enter date",[he]:"Choose Operator",[v]:"Choose Operator",[R]:"Clear",[k]:"Filter",[j]:"Filter",[z]:"Sort Ascending",[H]:"Sort Descending",[J]:"Is equal to",[K]:"Is not equal to",[Q]:"Is null",[U]:"Is not null",[V]:"Is empty",[X]:"Is not empty",[Y]:"Starts with",[Z]:"Contains",[_]:"Does not contain",[$]:"Ends with",[ee]:"Is greater than or equal to",[re]:"Is greater than",[te]:"Is less than or equal to",[oe]:"Is less than",[le]:"Is true",[ae]:"Is after or equal to",[ne]:"Is after",[ie]:"Is before",[se]:"Is before or equal to",[ue]:"And",[pe]:"Or","grid.filterEqOperator":"Is equal to","grid.filterNotEqOperator":"Is not equal to","grid.filterIsNullOperator":"Is null","grid.filterIsNotNullOperator":"Is not null","grid.filterIsEmptyOperator":"Is empty","grid.filterIsNotEmptyOperator":"Is not empty","grid.filterStartsWithOperator":"Starts with","grid.filterContainsOperator":"Contains","grid.filterNotContainsOperator":"Does not contain","grid.filterEndsWithOperator":"Ends with","grid.filterGteOperator":"Is greater than or equal to","grid.filterGtOperator":"Is greater than","grid.filterLteOperator":"Is less than or equal to","grid.filterLtOperator":"Is less than","grid.filterIsTrue":"Is true","grid.filterIsFalse":"Is false","grid.filterBooleanAll":"(All)","grid.filterAfterOrEqualOperator":"Is after or equal to","grid.filterAfterOperator":"Is after","grid.filterBeforeOperator":"Is before","grid.filterBeforeOrEqualOperator":"Is before or equal to","grid.filterAndLogic":"And","grid.filterOrLogic":"Or"};exports.columnMenu=qe;exports.columnMenuFilterAfterOperator=ne;exports.columnMenuFilterAfterOrEqualOperator=ae;exports.columnMenuFilterAndLogic=ue;exports.columnMenuFilterBeforeOperator=ie;exports.columnMenuFilterBeforeOrEqualOperator=se;exports.columnMenuFilterChooseOperator=v;exports.columnMenuFilterClearButton=R;exports.columnMenuFilterContainsOperator=Z;exports.columnMenuFilterEndsWithOperator=$;exports.columnMenuFilterEqOperator=J;exports.columnMenuFilterGtOperator=re;exports.columnMenuFilterGteOperator=ee;exports.columnMenuFilterIsEmptyOperator=V;exports.columnMenuFilterIsNotEmptyOperator=X;exports.columnMenuFilterIsNotNullOperator=U;exports.columnMenuFilterIsNullOperator=Q;exports.columnMenuFilterIsTrue=le;exports.columnMenuFilterLtOperator=oe;exports.columnMenuFilterLteOperator=te;exports.columnMenuFilterNotContainsOperator=_;exports.columnMenuFilterNotEqOperator=K;exports.columnMenuFilterOrLogic=pe;exports.columnMenuFilterStartsWithOperator=Y;exports.columnMenuFilterSubmitButton=k;exports.columnMenuFilterTitle=j;exports.columnMenuSortAscending=z;exports.columnMenuSortDescending=H;exports.filterAddExpression=B;exports.filterAddGroup=T;exports.filterAfterOperator=w;exports.filterAfterOrEqualOperator=C;exports.filterAndLogic=y;exports.filterAriaLabel=me;exports.filterBeforeOperator=G;exports.filterBeforeOrEqualOperator=x;exports.filterCheckAll=Oe;exports.filterClose=W;exports.filterContainsOperator=F;exports.filterDateFilterAriaLabel=be;exports.filterDropDownOperatorAriaLabel=he;exports.filterEndsWithOperator=E;exports.filterEnumFilterDropdownAriaLabel=Fe;exports.filterEqOperator=f;exports.filterExpressionAriaLabel=Ie;exports.filterExpressionDropdownAriaLabel=Me;exports.filterExpressionOperatorDropdownAriaLabel=Ae;exports.filterGroupAriaLabel=de;exports.filterGroupFilterAriaLabel=O;exports.filterGtOperator=h;exports.filterGteOperator=b;exports.filterIsEmptyOperator=I;exports.filterIsFalse=S;exports.filterIsNotEmptyOperator=M;exports.filterIsNotNullOperator=d;exports.filterIsNullOperator=m;exports.filterIsTrue=P;exports.filterLtOperator=N;exports.filterLteOperator=q;exports.filterNotContainsOperator=L;exports.filterNotEqOperator=g;exports.filterNumericFilterAriaLabel=Le;exports.filterOrLogic=D;exports.filterStartsWithOperator=A;exports.filterTextFilterAriaLabel=Ee;exports.messages=Ne;exports.pagerFirstPage=r;exports.pagerInfo=e;exports.pagerItemPerPage=a;exports.pagerLastPage=l;exports.pagerNextPage=o;exports.pagerOf=p;exports.pagerPage=u;exports.pagerPageInputAriaLabel=n;exports.pagerPageSelection=s;exports.pagerPreviousPage=t;exports.pagerSmallPageSelectorAriaLabel=i;exports.pagerTotalPages=c;exports.searchPlaceholder=ce;exports.selectAllRows=fe;exports.sortAriaLabel=ge;
